Create SFTP connection
curl --request POST \
--url https://api.creditor.younegotiate.com/sftp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Main SFTP Connection",
"host": "sftp.example.com",
"port": 22,
"username": "sftp_user",
"password": "secret-password",
"used_for": "both",
"import_filepath": "/imports",
"export_filepath": "/exports"
}
'import requests
url = "https://api.creditor.younegotiate.com/sftp"
payload = {
"name": "Main SFTP Connection",
"host": "sftp.example.com",
"port": 22,
"username": "sftp_user",
"password": "secret-password",
"used_for": "both",
"import_filepath": "/imports",
"export_filepath": "/exports"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Main SFTP Connection',
host: 'sftp.example.com',
port: 22,
username: 'sftp_user',
password: 'secret-password',
used_for: 'both',
import_filepath: '/imports',
export_filepath: '/exports'
})
};
fetch('https://api.creditor.younegotiate.com/sftp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "SFTP connected.",
"data": {
"id": 123,
"company_id": 123,
"name": "<string>",
"host": "<string>",
"port": 123,
"enabled": true,
"username": "<string>",
"password_present": true,
"import_filepath": "<string>",
"export_filepath": "<string>",
"csv_headers_count": 123,
"can_delete": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>",
"errors": {}
}Create SFTP connection
Create an enabled SFTP connection profile after validating the selected remote folder path or paths by writing and deleting a temporary you-negotiate.txt test file. Creating a valid enabled connection completes the optional setup wizard SFTP step.
POST
/
sftp
Create SFTP connection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
160Maximum string length:
255Maximum string length:
255Maximum string length:
255Determines which remote path fields are required and stored.
Available options:
import, export, both Required range:
1 <= x <= 65535Required when used_for is import or both.
Maximum string length:
255Required when used_for is export or both.
Maximum string length:
255Last modified on July 20, 2026
Was this page helpful?
⌘I

